%define majver %(echo %version | cut -d. -f1-2)
Name:          gnome-themes-standard
Version:       3.20.2
Release:       1mamba
Summary:       Themes collection for GNOME 3 Desktop
Group:         Graphical Desktop/Look 'n' feel/Themes
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/gnome-themes-standard/%{majver}/gnome-themes-standard-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gnome-icon-theme
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcroco-devel
BuildRequires: libelf-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libgtk-engines-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng14-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: librsvg-devel
BuildRequires: libselinux-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRequires: gnome-icon-theme
BuildRequires: icon-naming-utils
Requires:      gnome-icon-theme
Requires:      libgtk-engines
Requires:      gnome-backgrounds
Provides:      gnome-themes
Obsoletes:     gnome-themes
Provides:      gnome-themes-extras
Obsoletes:     gnome-themes-extras
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

#gnome-themes-2.32.0:

#        Installation prefix:    /usr

#        Enable placeholders:         no
#        Enable legacy icons:         yes
#        Enable all themes:           no
#        Enable test themes:          no
#        LargePrint cursor theme:     whiteglass
#        HC LargePrint cursor theme:  redglass
#        HCI LargePrint cursor theme: whiteglass

%description
The gnome-themes package contains a collection of desktop themes for GNOME 3.
These themes can change the appearance of application widgets, icons, window borders, cursors, etc.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# # legacy symlinks
#for size in 16x16 22x22 24x24 32x32 48x48 256x256; do
#  for context in actions apps devices places status; do
#    (cd %{buildroot}%{_datadir}/icons/Mist/$size
#     /usr/libexec/icon-name-mapping -c $context)
#  done
#done

for dir in %{buildroot}%{_datadir}/icons/*; do
  touch $dir/icon-theme.cache
done

#%find_lang %{name}
#cat %{name}.lang >> files.txt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
for icon_theme in \
  Adwaita HighContrast HighContrastInverse; do
  touch --no-create %{_datadir}/icons/${icon_theme} &> /dev/null || :
done

%postun
if [ $1 -eq 0 ]; then
for icon_theme in \
  Adwaita HighContrast HighContrastInverse; do
  touch --no-create %{_datadir}/icons/${icon_theme} &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/${icon_theme} &> /dev/null || :
done
fi

%posttrans
for icon_theme in \
  Adwaita HighContrast HighContrastInverse; do
   touch --no-create %{_datadir}/icons/${icon_theme} &> /dev/null || :
   gtk-update-icon-cache %{_datadir}/icons/${icon_theme} &> /dev/null || :
done

%files
#-f %{name}.lang
%defattr(-,root,root)
%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.la
%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so
#%{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.la
#%{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.so
#%{_datadir}/gnome-background-properties/adwaita.xml
#%dir %{_datadir}/icons/Adwaita
#%{_datadir}/icons/Adwaita/icon-theme.cache
#%dir %{_datadir}/icons/Adwaita/cursors
#%{_datadir}/icons/Adwaita/cursors/*
%dir %{_datadir}/icons/HighContrast
%{_datadir}/icons/HighContrast/*
%dir %{_datadir}/themes/Adwaita
%{_datadir}/themes/Adwaita/*
%dir %{_datadir}/themes/HighContrast
%{_datadir}/themes/HighContrast/*
%doc COPYING
# ChangeLog NEWS README

%changelog
* Sun May 15 2016 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 3.20-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Tue Dec 02 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2.3-1mamba
- automatic version update by autodist

* Thu Nov 13 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Fri Sep 26 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Wed Aug 20 2014 Automatic Build System <autodist@mambasoft.it> 3.13.4-1mamba
- automatic update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 3.13.3-1mamba
- automatic update by autodist

* Wed Apr 30 2014 Automatic Build System <autodist@mambasoft.it> 3.13.1-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Fri Sep 13 2013 Automatic Build System <autodist@mambasoft.it> 3.8.4-1mamba
- automatic update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Tue Jul 23 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Feb 19 2013 Automatic Build System <autodist@mambasoft.it> 3.6.5-1mamba
- automatic version update by autodist

* Tue Feb 19 2013 Automatic Build System <autodist@mambasoft.it> 3.6.4-1mamba
- automatic version update by autodist

* Tue Feb 19 2013 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Fri Sep 28 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0.2-1mamba
- automatic version update by autodist

* Wed Sep 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.2-2mamba
- obsolete gnome-themes and gnome-themes-extras

* Mon Aug 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.2-1mamba
- package created from gnome-themes
